%define name	meld
%define version 1.6.0
%define release 1

Summary:	GNOME 2 visual diff and merge tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
License:	GPLv2+
URL:		http://meld.sourceforge.net/
Group:		File tools
BuildRequires: scrollkeeper
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	patch
BuildArch:	noarch
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3


%description
Meld is a GNOME 2 visual diff and merge tool. It integrates especially well
with CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows merges.
The margins show location of changes for easy navigation, and it also
features a tabbed interface that allows you to open many diffs at once.

%prep
%setup -q

%build
%make prefix=%_prefix libdir=%_datadir

%install
rm -rf ${RPM_BUILD_ROOT} %name.lang
%makeinstall_std prefix=%_prefix libdir=%_datadir

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %buildroot/usr/var/lib/scrollkeeper

%files -f %name.lang
%doc  NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/meld.*


%changelog
* Wed May 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.6.0-1
+ Revision: 795159
- version update 1.6.0

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 581478
- update to new version 1.4.0

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2011.0
+ Revision: 576783
- new version
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 550671
- new version
- drop patch
- update file list

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 416272
- new version
- drop patch 1
- remove extra icons
- update file list

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1.3.0-2mdv2010.0
+ Revision: 415283
- fix opening files (bug #52805)

* Sun May 17 2009 trem <trem@mandriva.org> 1.3.0-1mdv2010.0
+ Revision: 376600
- update to 1.3.0

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 306055
- new version 1.2.1

* Fri Jun 27 2008 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2009.0
+ Revision: 229484
- new version
- patch to fix installation
- update license
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.5.1-3mdv2009.0
+ Revision: 218037
- depend on patch, trying to fix bug #40166 (blino)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.5.1-2mdv2008.1
+ Revision: 170979
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 1.1.5.1-1mdv2008.0
+ Revision: 38517
- new version

* Mon Jun 11 2007 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 37987
- fix file list
- New version

